Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039039
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajoralways2018-07-25 10:482018-09-14 14:56
ReportergorkaionView Statuspublic 
Assigned Toguilleaer 
PriorityurgentResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision433c7f9021a4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Tomarvintm
Regression introduced in release
Summary

0039039: When Different Delta task creation fails with no available stock no message is shown to the user

DescriptionIn a scenario where all the available stock is in a unique bin. (using a product with no attributes)

When different is selected creating a delta task the process in the frontend seems to work OK but the task is no modified.

In the Verbosity Log you can see that the delta task generation fails because there is no stock.
Steps To ReproducePrerequisites:
Having a product that all the stock available to pick is in a unique bin/attribute.

Steps:
1. Create a picking task.
2. In the Frontend set less quantity than expected and confirm.
3. In the delta task generation popup select Different.
4. Check that the process is correctly synchronized to the backend but the confirmed task is still with the original quantity.
5. Check in the Verbosity Log that the delta task generation has failed.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106398)
hgbot (developer)
2018-08-20 09:04

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 433c7f9021a4a8791b391c7b6334b968e8a0f7b0
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Aug 20 09:04:06 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/433c7f9021a4a8791b391c7b6334b968e8a0f7b0 [^]

Fixed issue 39039: Errors which not blocks tasks are also saved in errors

---
M src-db/database/model/tables/OBAWO_ERRORS.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/TasksProvider.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/sync/AWODataSynchronizationErrorHandler.java
---
(0106403)
hgbot (developer)
2018-08-20 09:40

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 38f7e2dbdddca8c2681230e2b9d1dd853f7735b7
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Aug 20 09:04:06 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/38f7e2dbdddca8c2681230e2b9d1dd853f7735b7 [^]

Fixed issue 39039: Errors which not blocks tasks are also saved in errors

---
M src-db/database/model/tables/OBAWO_ERRORS.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/TasksProvider.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/sync/AWODataSynchronizationErrorHandler.java
---
(0106772)
hgbot (developer)
2018-09-14 14:56

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 433c7f9021a4a8791b391c7b6334b968e8a0f7b0
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Aug 20 09:04:06 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/433c7f9021a4a8791b391c7b6334b968e8a0f7b0 [^]

Fixed issue 39039: Errors which not blocks tasks are also saved in errors

---
M src-db/database/model/tables/OBAWO_ERRORS.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/TasksProvider.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/sync/AWODataSynchronizationErrorHandler.java
---

- Issue History
Date Modified Username Field Change
2018-07-25 10:48 gorkaion New Issue
2018-07-25 10:48 gorkaion Assigned To => guilleaer
2018-08-20 09:04 hgbot Checkin
2018-08-20 09:04 hgbot Note Added: 0106398
2018-08-20 09:04 hgbot Status new => resolved
2018-08-20 09:04 hgbot Resolution open => fixed
2018-08-20 09:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/433c7f9021a4a8791b391c7b6334b968e8a0f7b0 [^]
2018-08-20 09:40 hgbot Checkin
2018-08-20 09:40 hgbot Note Added: 0106403
2018-08-20 09:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/433c7f9021a4a8791b391c7b6334b968e8a0f7b0 [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/38f7e2dbdddca8c2681230e2b9d1dd853f7735b7 [^]
2018-08-20 10:31 marvintm Review Assigned To => marvintm
2018-08-20 10:31 marvintm Status resolved => closed
2018-09-14 14:56 hgbot Checkin
2018-09-14 14:56 hgbot Note Added: 0106772
2018-09-14 14:56 hgbot Status closed => resolved
2018-09-14 14:56 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/38f7e2dbdddca8c2681230e2b9d1dd853f7735b7 [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/433c7f9021a4a8791b391c7b6334b968e8a0f7b0 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker